aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorhinder <hinder@51d2df92-0e4f-0410-a727-bd43d766d6b6>2011-06-28 15:33:57 +0000
committerhinder <hinder@51d2df92-0e4f-0410-a727-bd43d766d6b6>2011-06-28 15:33:57 +0000
commit6c06a98870d7019c9195b7e733ea41b9d6d1efe0 (patch)
treedc2069414c85c72eba0dcefe82f0bedaefe6679f
parent96291acb1edabcb82e0b8a49a49cd5fe45c08fda (diff)
Abort on missing Fortran compiler
git-svn-id: http://svn.cactuscode.org/arrangements/CactusBase/Fortran/trunk@46 51d2df92-0e4f-0410-a727-bd43d766d6b6
-rw-r--r--fortran.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/fortran.sh b/fortran.sh
index 38546b7..f8e2191 100644
--- a/fortran.sh
+++ b/fortran.sh
@@ -1,5 +1,12 @@
#! /bin/sh
+if [[ "${F77}" = "none" && "${F90}" = "none" ]]; then
+ echo 'BEGIN ERROR'
+ echo "Fortran thorn requires that a Fortran compiler is defined, but F77 = '$F77' and F90 = '$F90'. Aborting."
+ echo 'END ERROR'
+ exit 1
+fi
+
# Try to use ## for token concatenation.
# If this works, we likely have an ANSI cpp.